import { EventEmitter } from '../../stencil-public-runtime';
import { WebSocialShareInput } from '../../types/input';
/**
 * @slot facebook - A slot to display an icon or text for Facebook
 * @slot twitter - A slot to display an icon or text for Twitter
 * @slot email - A slot to display an icon or text for a shate to an email
 * @slot linkedin - A slot to display an icon or text for LinkedIn
 * @slot pinterest - A slot to display an icon or text for Pinterest
 * @slot whatsapp - A slot to display an icon or text for Whatsapp
 * @slot copy - A slot to display an icon or text to copy to clipboard
 * @slot hackernews - A slot to display an icon or text for Hackernews
 * @slot telegram - A slot to display an icon or text for Telegram
 * @slot openchat - A slot to display an icon or text for Openchat
 * @slot dscvr - A slot to display an icon or text for Dscvr
 */
export declare class WebSocialShare {
    el: HTMLElement;
    /**
     * An event triggered when the modal is `closed`
     */
    closed: EventEmitter<void>;
    /**
     * Trigger the display, or close, of the action sheet which contains the social-share options
     */
    show: boolean;
    /**
     * The share options
     */
    share: WebSocialShareInput;
    private refContainer;
    private hide;
    private handleShare;
    render(): any;
    private renderTargets;
    private renderButtons;
    private renderButton;
    private renderName;
}
